<template>
  <div id="app" style="background-color:#0e2e87" v-if="$route.meta.bigScreen">
    <router-view />
  </div>
  <div id="app" v-else>
    <router-view />
    <theme-picker />
  </div>
</template>

<script>
import ThemePicker from "@/components/ThemePicker";

export default {
  name: "App",
  components: { ThemePicker },
  metaInfo() {
    return {
      title: this.$store.state.settings.dynamicTitle && this.$store.state.settings.title,
      titleTemplate: title => {
        return title ? `${title} - ${process.env.VUE_APP_TITLE}` : process.env.VUE_APP_TITLE
      }
    }
  },
  data() {
    return {
     
    }
  },
  mounted() {
  
  },
  methods: {
  
  }
};
</script>
<style scoped>
#app .theme-picker {
  display: none;
}
</style>
